Loading...
Searching...
No Matches
XrdSutPFCacheRef Class Reference

`#include <XrdSutPFCache.hh>`

Collaboration diagram for XrdSutPFCacheRef:

## Public Member Functions

| XrdSutPFCacheRef ()
| ~XrdSutPFCacheRef ()
void | Lock (XrdSysMutex *Mutex)
void | Set (XrdSysMutex *Mutex)
void | UnLock ()

## Protected Attributes

XrdSysMutex * | mtx

## Detailed Description

Definition at line 43 of file XrdSutPFCache.hh.

## Constructor & Destructor Documentation

## XrdSutPFCacheRef()

XrdSutPFCacheRef::XrdSutPFCacheRef | ( |  | ) |

inline

Definition at line 64 of file XrdSutPFCache.hh.

: mtx(0) {}
XrdSutPFCacheRef::mtx
XrdSysMutex * mtx
Definition XrdSutPFCache.hh:68

References mtx.

## ~XrdSutPFCacheRef()

XrdSutPFCacheRef::~XrdSutPFCacheRef | ( |  | ) |

inline

Definition at line 66 of file XrdSutPFCache.hh.

{if (mtx) UnLock();}
XrdSutPFCacheRef::UnLock
void UnLock()
Definition XrdSutPFCache.hh:62

References mtx, and UnLock().

Here is the call graph for this function:

## Member Function Documentation

## Lock()

void XrdSutPFCacheRef::Lock | ( | XrdSysMutex * | Mutex | ) |

inline

Definition at line 47 of file XrdSutPFCache.hh.

{if (mtx) {if (mtx != Mutex) mtx->UnLock();
else return;
}
Mutex->Lock();
mtx = Mutex;
};
XrdSysMutex::Lock
void Lock()
Definition XrdSysPthread.hh:222

References XrdSysMutex::Lock(), and mtx.

Referenced by XrdSutPFCache::Add().

Here is the call graph for this function:
Here is the caller graph for this function:

## Set()

void XrdSutPFCacheRef::Set | ( | XrdSysMutex * | Mutex | ) |

inline

Definition at line 55 of file XrdSutPFCache.hh.

{if (mtx) {if (mtx != Mutex) mtx->UnLock();
else return;
}
mtx = Mutex;
};

References mtx.

Referenced by XrdSutPFCache::Get().

Here is the caller graph for this function:

## UnLock()

void XrdSutPFCacheRef::UnLock | ( |  | ) |

inline

Definition at line 62 of file XrdSutPFCache.hh.

{if (mtx) {mtx->UnLock(); mtx = 0;}}

References mtx.

Referenced by ~XrdSutPFCacheRef(), and XrdSecProtocolpwd::Init().

Here is the caller graph for this function:

## Member Data Documentation

## mtx

XrdSysMutex* XrdSutPFCacheRef::mtx

protected

Definition at line 68 of file XrdSutPFCache.hh.

Referenced by XrdSutPFCacheRef(), ~XrdSutPFCacheRef(), Lock(), Set(), and UnLock().

The documentation for this class was generated from the following file:

- XrdSutPFCache.hh